# Generated from karafka-enterprise-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name karafka-enterprise

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Ruby based framework for working with Apache Kafka
License: MIT
URL: https://github.com/karafka/karafka
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.0
BuildArch: noarch

%description
Framework used to simplify Apache Kafka based Ruby applications development.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/karafka
%{gem_instdir}/.coditsu
%exclude %{gem_instdir}/.console_irbrc
%{gem_instdir}/.diffend.yml
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/MIT-LICENCE
%{gem_instdir}/bin
%{gem_instdir}/certs
%{gem_instdir}/config
%{gem_libdir}
%{gem_instdir}/log
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/docker-compose.yml
%{gem_instdir}/karafka.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.0.1-1
- Initial package
